Page MenuHomePhabricator

Requesting access to LogStash for rxy
Closed, ResolvedPublic

Description

Username: rxy
Full name: Can not publish here

I am a Wikimedia steward and a MediaWiki related volunteer developer. I'd like to requesting production logstash access for bug investigation and analysis .
Also I'm now development GlobalCheckUser and I planned to request for deployment the extension to production environment.
After deployed that, I guess logstash access are helpful for investigating GlobalCU bugs and related bugs .

I have an access for Security and I reported and sent a patch for security bugs.

  1. T207085: Suppressed edits remain examinable in AbuseFilter (F26612183, F26622863)
  2. T222036: Exposed suppressed username or log in Special:EditTags (F28838873)
  3. T222038: Exposed suppressed log in RevisionDelete page
  4. T230402: Exposed suppressed username via Special:Redirect (F30016075, F30022382)

However, I didn't signed to L2 (I can not access to the page now)

I talked about this to @jrbs at IRC and sent an e-mail to ca[at]wikimedia[dot]org

Event Timeline

Rxy triaged this task as Medium priority.Nov 30 2019, 12:26 AM
Rxy created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2019, 12:26 AM
Rxy raised the priority of this task from Medium to Needs Triage.Nov 30 2019, 12:27 AM
jbond triaged this task as Medium priority.Dec 2 2019, 10:16 AM

@Rxy Before enabling access we will first need to ensure we have a valid signed NDA on record for you.

@RStallman-legalteam are you able to assist rxy with the NDA.

Hi @Rxy,
To create an NDA for you I will need your full name, and both mailing and email address. You can send these details to rstallman[at]wikimedia[dot]org.

Best,
Rachel

Rxy added a comment.Dec 2 2019, 11:10 PM
This comment was removed by Rxy.
Rxy signed these changes with MFA.Dec 2 2019, 11:11 PM

@Rxy Before enabling access we will first need to ensure we have a valid signed NDA on record for you.

I understand it.

Hi @Rxy,
To create an NDA for you I will need your full name, and both mailing and email address. You can send these details to rstallman[at]wikimedia[dot]org.

Best,
Rachel

I sent an e-mail to your specified e-mail address.

The NDA is fully signed and on file now. Many thanks!

colewhite claimed this task.Dec 4 2019, 3:41 AM

Change 554926 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] admin: add rxy to ldap-only-users

https://gerrit.wikimedia.org/r/554926

Change 554926 merged by Cwhite:
[operations/puppet@production] admin: add rxy to ldap-only-users

https://gerrit.wikimedia.org/r/554926

@Rxy I've added you to the NDA group which should grant you access to Logstash. Please let me know if you encounter any related issue.

colewhite closed this task as Resolved.Dec 5 2019, 7:45 PM
Rxy added a comment.Dec 5 2019, 9:57 PM

@Rxy I've added you to the NDA group which should grant you access to Logstash. Please let me know if you encounter any related issue.

OK, It works correctly. Thanks!